Bug 218072 - AssertionError at org.netbeans.modules.web.project.WebProjectOperations.notifyDeleting
AssertionError at org.netbeans.modules.web.project.WebProjectOperations.notif...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Martin Fousek
issues@javaee
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 13:59 UTC by Lukas Jungmann
Modified: 2012-10-25 06:17 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (949 bytes, text/plain)
2012-09-10 13:59 UTC, Lukas Jungmann
Details
stacktrace (949 bytes, text/plain)
2012-09-27 15:08 UTC, Maksim Khramov
Details
stacktrace (949 bytes, text/plain)
2012-10-02 11:56 UTC, Jiri Skrivanek
Details
stacktrace (949 bytes, text/plain)
2012-10-10 12:23 UTC, Vladimir Riha
Details
stacktrace (949 bytes, text/plain)
2012-10-12 12:29 UTC, Vladimir Riha
Details
stacktrace (949 bytes, text/plain)
2012-10-12 13:08 UTC, host
Details
stacktrace (949 bytes, text/plain)
2012-10-12 13:41 UTC, viggonavarsete
Details
stacktrace (949 bytes, text/plain)
2012-10-13 05:38 UTC, viggonavarsete
Details
stacktrace (949 bytes, text/plain)
2012-10-18 18:44 UTC, mstarnacki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2012-09-10 13:59:48 UTC
Build: NetBeans IDE Dev (Build 20120910-d2a6a9821b69)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.2-b09, Java(TM) SE Runtime Environment, 1.7.0_06-b24
OS: Linux

User Comments:
jungi: deleting web project




Stacktrace: 
java.lang.AssertionError
   at org.netbeans.modules.web.project.WebProjectOperations.notifyDeleting(WebProjectOperations.java:183)
   at org.netbeans.spi.project.support.ProjectOperations.notifyDeleting(ProjectOperations.java:129)
   at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation.performDelete(DefaultProjectOperationsImplementation.java:130)
   at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation.access$200(DefaultProjectOperationsImplementation.java:101)
   at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation$1.execute(DefaultProjectOperationsImplementation.java:205)
   at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation$6$1.run(DefaultProjectOperationsImplementation.java:649)
Comment 1 Lukas Jungmann 2012-09-10 13:59:50 UTC
Created attachment 124110 [details]
stacktrace
Comment 2 Maksim Khramov 2012-09-27 15:08:13 UTC
Created attachment 125010 [details]
stacktrace

On delete newly created Spring Web project
Comment 3 Jiri Skrivanek 2012-10-02 11:56:17 UTC
Created attachment 125221 [details]
stacktrace

Deleting web project with broken reference to server.
Comment 4 Vladimir Riha 2012-10-10 12:23:26 UTC
Created attachment 125684 [details]
stacktrace

deleting several Java Web projects
Comment 5 Vladimir Riha 2012-10-12 12:29:14 UTC
Created attachment 125858 [details]
stacktrace

deleting multiple Java Web projects with sources
Comment 6 host 2012-10-12 13:08:14 UTC
Created attachment 125860 [details]
stacktrace

Happened directly after deleting a web project (with the option to delete source files turned on).
Comment 7 viggonavarsete 2012-10-12 13:41:17 UTC
Created attachment 125868 [details]
stacktrace

Deleted a project previousely created in Netbeans 7.2 (also imported settings from 7.2 as part of the installation)
Comment 8 viggonavarsete 2012-10-13 05:38:15 UTC
Created attachment 125892 [details]
stacktrace

Deleting a project
Comment 9 mstarnacki 2012-10-18 18:44:17 UTC
Created attachment 126153 [details]
stacktrace

Errror under deletion Web project with catalog. I deleted project from Projects window. Web project for ant.
Comment 10 Martin Fousek 2012-10-24 06:12:01 UTC
Fixed in web-main #d58e9e081deb.

BTW, Vlado for reproducing/verifying is enough to create and delete java WebApp.
Comment 11 Quality Engineering 2012-10-25 01:33:38 UTC
Integrated into 'main-golden', will be available in build *201210250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d58e9e081deb
User: Martin Fousek <marfous@netbeans.org>
Log: #218072 - AssertionError at org.netbeans.modules.web.project.WebProjectOperations.notifyDeleting
Comment 12 Vladimir Riha 2012-10-25 06:17:21 UTC
(In reply to comment #10)
> BTW, Vlado for reproducing/verifying is enough to create and delete java
> WebApp.

Thanks, verified


Product Version: NetBeans IDE Dev (Build 201210250001)
Java: 1.7.0_10-ea; Java HotSpot(TM) Client VM 23.6-b04
System: Linux version 3.2.0-31-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo